package core.process;

import core.operation.FillInformation;
import error.GExcptInit;
import gdms.Configuration;

import java.text.SimpleDateFormat;
import java.util.*;

public class C_TeacherTeamFillOpeningReportOpinion extends C_FillInformation{

    String graduationDesignId;
    Map<String,String> vMap;
    private static String buttonName ="开题小组意见";
    private static String iconURL="../cssFile/images/fill.png";
    private static String targetURL="/home/teacher-team-fill-opening-report-opinion";
    private static String info = "";

    private static String fileds="opening_report_teacher_team_opinion_status";
    private static String table="graduation_design_opening_report_opinion_record";

    public void fillInformation() throws Exception{
        if(!check()) throw new GExcptInit("FillInformation Attrs init error!");
        FillInformation fillInformation=new FillInformation();
        fillInformation.setOptions(new HashMap<>());
        fillInformation.addOptions("table",table);
        String date= Configuration.dateFormat.format(new Date());
        vMap.put("report_teacher_team_opinion_date",date);
        Map<String, String>limits = new HashMap<>();
        limits.put("id",this.getGraduationDesignId());
        fillInformation.addOptions("limits",limits);
        fillInformation.execute(null);
        updateStatus();
    }
    protected boolean check() {
        if(this.getGraduationDesignId()==null||this.getVMap()==null)
            return false;
        return true;
    }
    @Override
    public String getGraduationDesignId() {
        return graduationDesignId;
    }

    @Override
    public void setGraduationDesignId(String graduationDesignId) {
        this.graduationDesignId = graduationDesignId;
    }

    public void setVMap(Map<String, String> vMap) {
        this.vMap = vMap;
    }

    public Map<String, String> getVMap() {
        return vMap;
    }

    @Override
    public String getInfo() {
        return info;
    }

    @Override
    public String getTargetURL() {
        return targetURL;
    }

    @Override
    public String getIconURL() {
        return iconURL;
    }

    @Override
    public String getButtonName() {
        return buttonName;
    }

    public List<String> getInputName() {
        List<String> ls = new ArrayList<>();
        ls.add("report_teacher_team_opinion");
        ls.add(null);
        return ls;
    }

}
